<?php

namespace App\Repository;

use App\Entity\Provider;
use App\Entity\Teacher;
use Doctrine\DBAL\Driver\AbstractMySQLDriver;
use Symfony\Component\Uid\Uuid;

/**
 * TeacherSubjectGroupRepository.
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class TeacherSubjectGroupRepository extends \Doctrine\ORM\EntityRepository
{
	public function getQueryFilteredByProviderId($providerId): \Doctrine\ORM\Query {
		$queryBuilder = $this->createQueryBuilder('tsg')
		                    ->innerJoin('tsg.group', 'g')
		                    ->where('tsg.provider = :pid AND g.manageManually = false');

		if($this->getEntityManager()->getConnection()->getDriver() instanceof AbstractMySQLDriver) {
			$queryBuilder->setParameter( "pid", (new Uuid($providerId))->toBinary() );
		} else {
			$queryBuilder->setParameter( "pid", $providerId );
		}

		return $queryBuilder->getQuery();
	}
}
